View Issue Details

IDProjectCategoryView StatusLast Update
0029337RunnerFunctionsPublic2019-02-13 13:35
ReporterStewart BishopAssigned ToFritz 
PriorityLowSeverityC - GeneralReproducibility100%
Status ClosedResolutionUnable To Reproduce 
Product Version2.1.4 
Target Version2.2.1Fixed in Version2.2.1 
Summary0029337: Functions: draw_sprite_general() has issues when using a negative scale in the xscale or yscale arguments
DescriptionIf you have xscale or yscale set as a negative number then when your sprite reaches the left or the top of the screen then it'll start drawing on the opposite side.
Steps To Reproduce1) Run the sample
Tagsrendering, Runner
1.4 Found In1.4.1804
2.x Runtime Found In2.1.4.212
2.x Runtime Verified In

Activities

Stewart Bishop

2018-04-19 12:10

Adminstrator  

placementerror.gmz (12,557 bytes)

Fritz

2018-08-09 16:48

Developer   ~0061134

Already fixed in Red 1121

Dan

2018-09-02 23:34

Adminstrator   ~0061472

End-user reports are pretty recent, so if 2.1.5 does not have the fix already, then it will be in 2.2.1.

Dan

2019-02-13 13:35

Adminstrator   ~0063044

Mass-closing as per the Resolution of Unable To Reproduce and because many of these reports are very old / relate to GM: S 1.4.

If the comment from the dev above says this report was resolved because there was no sample, but you still have this issue in a CURRENT version of GMS2, please do submit a Helpdesk ticket and give us a sample project and we will add a new bug report with the fresh info.